@echo off

set currentpath=%cd%
cd %~dp0
echo Installing All YF Drivers 

cd..
echo %cd%
cd Installer\PlatformInstaller\Drivers

echo ****************
echo Install IO driver
set foldername=I2C
set infname=iaioi2ce.inf
cd %foldername% 
pnputil -i -a %infname%
cd ..

echo **************
echo Install GPIO driver
set foldername=GPIO
set infname=iaiogpioe.inf
cd %foldername% 
pnputil -i -a %infname%
cd ..

echo **************
echo Install UART driver
set foldername=UART
set infname=iaiouart.inf
cd %foldername% 
pnputil -i -a %infname%
cd ..

echo **************
echo Install GPIO Virtual driver
set foldername=GPIOVirtual
set infname=iaiogpiovirtual.inf
cd %foldername% 
pnputil -i -a %infname%
cd ..


echo **************
echo Install MBI driver
set foldername=MBI
set infname=MBI.inf
cd %foldername% 
pnputil -i -a %infname%
cd ..

echo **************
echo Install PMIC driver
set foldername=PMIC
set infname=pmic.inf
cd %foldername% 
pnputil -i -a %infname%
cd ..

echo **************
echo Install BM driver
set foldername=BM
set infname=IntelBatteryManagement.inf
cd %foldername% 
pnputil -i -a %infname%
cd ..

echo **************
echo Install DPTF driver
set foldername=DPTF
set infname=Dptf.inf
cd %foldername% 
pnputil -i -a %infname%
cd ..

echo **************
echo Install TXEI driver
set foldername=TXEI
set infname=TXEI.inf
cd %foldername% 
pnputil -i -a %infname%
cd ..


echo **************
echo Install graphic driver .... 
echo 
set foldername=GFX
set infname=igdlh.inf
cd %foldername% 
pnputil -i -a %infname%
cd ..

echo **************
echo Install Audio driver
set foldername=Audio\AudioRealtek
set infname=isstrtc.inf
cd %foldername% 
pnputil -i -a isstrtc.inf
pnputil -i -a rtii2sac.inf
cd ..


echo **************
echo Install Camera driver
set foldername=camera\iacamera
set infname=iacamera32.inf
cd %foldername% 
pnputil -i -a iacamera32.inf
cd ..\hm2056
pnputil -i -a hm2056.inf
cd ..\ov2680
pnputil -i -a ov2680.inf
cd ..\ov5648
pnputil -i -a ov5648.inf

cd ..\..

echo All drivers for YF are installed !
